#!/bin/bash
#
# Allows for querying of available formats for a specific YT URL before actually deciding to download or playing it.
WHEREAMI="$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd && echo)"
cd $WHEREAMI
export DIALOG='
<window title="GTKgetYT3" image-name="getYT3.png">
  <vbox>
    <text>
      <label>"GTKgetYT V3.0.0"</label>
    </text>
    <text>
      <label>"List Available formats for download."</label>
    </text>
   
    <text>
      <label>"Insert normal YouTube Video URL"</label>
      </text>
      <entry width_chars="80">
      <variable>URL</variable>
    </entry>
   
    <hbox>
      <button ok></button>
      <button cancel></button>
    </hbox>
  </vbox>
</window>'

I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog --program DIALOG); do
  eval $STATEMENTS
done
IFS=$I

if [ "$EXIT" = "OK" ]; then
  echo "The youtube video: $URL will be queried for available formats."
  cd $FOLDER
  
	# display a progress dialog
	percent=0
	(
		while test $percent != 100
			do
				echo $percent
				percent=`expr $percent + 1`
				
		done
		
	youtube-dl -F $URL > $WHEREAMI/VIDCACHE/formats.txt
	) |

  Xdialog --title "GTKgetYTFormats" --progress "checking available formats..." 5 50
  gxmessage -name "GTKgetYTFormats" -file $WHEREAMI/VIDCACHE/formats.txt
  rm $WHEREAMI/VIDCACHE/formats.txt
  
else
  echo ""
fi

